Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
matchdefs.h File Reference
`#include "host.h"`
`#include <stdio.h>`
`#include "unichar.h"`

Go to the source code of this file.

## Classes

struct | MATCH_RESULT

## Macros

#define | MAX_NUM_CLASSES 12288
#define | MAX_CLASS_ID (MAX_NUM_CLASSES - 1)
#define | NO_CLASS (0)
#define | NO_PROTO (-1)
#define | NO_FEATURE 255
#define | NOISE_FEATURE 254
#define | MISSING_PROTO 254
#define | MAX_NUM_FEAT 40
#define | MAX_FEATURE_ID 250
#define | IsValidFeature(Fid) ((Fid) < MAX_FEATURE_ID)
#define | IsValidProto(Pid) ((Pid) >= 0)
#define | _ARGS(s) ()

## Typedefs

typedef UNICHAR_ID | CLASS_ID
typedef inT16 | PROTO_ID
typedef uinT8 | FEATURE_ID
typedef FLOAT32 | RATING
typedef FLOAT32 | CERTAINTY
typedef MATCH_RESULT | SORTED_CLASSES [MAX_CLASS_ID+1]

## Functions

int CompareMatchResults | _ARGS ((MATCH_RESULT *Result1, MATCH_RESULT *Result2))
void PrintMatchResult | _ARGS ((FILE *File, MATCH_RESULT *MatchResult))
void PrintMatchResults | _ARGS ((FILE *File, int N, MATCH_RESULT MatchResults[]))

## Macro Definition Documentation

#define _ARGS | ( |  | s | ) | ()

Definition at line 96 of file matchdefs.h.

#define IsValidFeature | ( |  | Fid | ) | ((Fid) < MAX_FEATURE_ID)

all feature matchers that are to be used with the high level classifier must support the following interface. The names will, of course, be unique for each different matcher. Note also that FEATURE_STRUCT is a data structure that is defined specifically for each feature extractor/matcher pair.

Definition at line 90 of file matchdefs.h.

#define IsValidProto | ( |  | Pid | ) | ((Pid) >= 0)

Definition at line 91 of file matchdefs.h.

#define MAX_CLASS_ID (MAX_NUM_CLASSES - 1)

Definition at line 32 of file matchdefs.h.

#define MAX_FEATURE_ID 250

Definition at line 52 of file matchdefs.h.

#define MAX_NUM_CLASSES 12288

Include Files and Type Defines —————————————————————————-

Definition at line 31 of file matchdefs.h.

#define MAX_NUM_FEAT 40

Definition at line 51 of file matchdefs.h.

#define MISSING_PROTO 254

Definition at line 50 of file matchdefs.h.

#define NO_CLASS (0)

Definition at line 36 of file matchdefs.h.

#define NO_FEATURE 255

Definition at line 48 of file matchdefs.h.

#define NO_PROTO (-1)

Definition at line 42 of file matchdefs.h.

#define NOISE_FEATURE 254

Definition at line 49 of file matchdefs.h.

## Typedef Documentation

typedef FLOAT32 CERTAINTY

a CERTAINTY is an indication of the degree of confidence of the classifier. Higher is better. 0 means the match is as good as the mean of the matches seen in training. -1 means the match was one standard deviation worse than the training matches, etc.

Definition at line 62 of file matchdefs.h.

typedef UNICHAR_ID CLASS_ID

a CLASS_ID is the ascii character to be associated with a class

Definition at line 35 of file matchdefs.h.

typedef uinT8 FEATURE_ID

FEATURE_ID is the index of a feature within a character description The feature id ranges from 0 to N-1 where N is the number of features in a character description.

Definition at line 47 of file matchdefs.h.

typedef inT16 PROTO_ID

a PROTO_ID is the index of a prototype within it's class. Valid proto id's are 0 to N-1 where N is the number of prototypes that make up the class.

Definition at line 41 of file matchdefs.h.

typedef FLOAT32 RATING

a RATING is the match rating returned by a classifier. Higher is better.

Definition at line 56 of file matchdefs.h.

typedef MATCH_RESULT SORTED_CLASSES[MAX_CLASS_ID+1]

define a data structure for holding an array of match results

Definition at line 76 of file matchdefs.h.

## Function Documentation

int CompareMatchResults _ARGS | ( | (MATCH_RESULT *Result1, MATCH_RESULT *Result2) |  | ) |

void PrintMatchResult _ARGS | ( | (FILE *File, MATCH_RESULT *MatchResult) |  | ) |

void PrintMatchResults _ARGS | ( | (FILE *File, int N, MATCH_RESULT MatchResults[]) |  | ) |